Index: src/sas/sasgui/guiframe/aboutbox.py
===================================================================
--- src/sas/sasgui/guiframe/aboutbox.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/aboutbox.py	(revision e0f28e6ff06f5e12fc7aa2e057964cd67a3ba8f8)
@@ -106,5 +106,6 @@
         self.bitmap_button_nist = wx.BitmapButton(self, -1, wx.NullBitmap)
         self.bitmap_button_umd = wx.BitmapButton(self, -1, wx.NullBitmap)
-        self.bitmap_button_sns = wx.BitmapButton(self, -1, wx.NullBitmap)
+        self.bitmap_button_ornl = wx.BitmapButton(self, -1, wx.NullBitmap)
+        #self.bitmap_button_sns = wx.BitmapButton(self, -1, wx.NullBitmap)
         #self.bitmap_button_nsf = wx.BitmapButton(self, -1,
         #                                         wx.NullBitmap)
@@ -115,4 +116,5 @@
         self.bitmap_button_ess = wx.BitmapButton(self, -1, wx.NullBitmap)
         self.bitmap_button_ill = wx.BitmapButton(self, -1, wx.NullBitmap)
+        self.bitmap_button_ansto = wx.BitmapButton(self, -1, wx.NullBitmap)
         
         self.static_line_3 = wx.StaticLine(self, -1)
@@ -124,5 +126,6 @@
         self.Bind(wx.EVT_BUTTON, self.onNistLogo, self.bitmap_button_nist)
         self.Bind(wx.EVT_BUTTON, self.onUmdLogo, self.bitmap_button_umd)
-        self.Bind(wx.EVT_BUTTON, self.onSnsLogo, self.bitmap_button_sns)
+        #self.Bind(wx.EVT_BUTTON, self.onSnsLogo, self.bitmap_button_sns)
+        self.Bind(wx.EVT_BUTTON, self.onOrnlLogo, self.bitmap_button_ornl)
         #self.Bind(wx.EVT_BUTTON, self.onNsfLogo, self.bitmap_button_nsf)
         #self.Bind(wx.EVT_BUTTON, self.onDanseLogo, self.bitmap_button_danse)
@@ -131,4 +134,5 @@
         self.Bind(wx.EVT_BUTTON, self.onEssLogo, self.bitmap_button_ess)
         self.Bind(wx.EVT_BUTTON, self.onIllLogo, self.bitmap_button_ill)
+        self.Bind(wx.EVT_BUTTON, self.onAnstoLogo, self.bitmap_button_ansto)
         # end wxGlade
         # fill in acknowledgements
@@ -163,5 +167,11 @@
         self.bitmap_button_umd.SetBitmapLabel(logo)
 
-        
+        image = file_dir + "/images/ornl_logo.png"
+        if os.path.isfile(config._ornl_logo):
+            image = config._ornl_logo
+        logo = wx.Bitmap(image)        
+        self.bitmap_button_ornl.SetBitmapLabel(logo)
+
+        """
         image = file_dir + "/images/sns_logo.png"
         if os.path.isfile(config._sns_logo):
@@ -170,5 +180,4 @@
         self.bitmap_button_sns.SetBitmapLabel(logo)
         
-        """
         image = file_dir + "/images/nsf_logo.png"
         if os.path.isfile(config._nsf_logo):
@@ -206,4 +215,10 @@
         logo = wx.Bitmap(image)
         self.bitmap_button_ill.SetBitmapLabel(logo)
+        
+        image = file_dir + "/images/ansto_logo.png"
+        if os.path.isfile(config._ansto_logo):
+            image = config._ansto_logo
+        logo = wx.Bitmap(image)
+        self.bitmap_button_ansto.SetBitmapLabel(logo)
                 
         # resize dialog window to fit version number nicely
@@ -227,5 +242,6 @@
         self.bitmap_button_nist.SetSize(self.bitmap_button_nist.GetBestSize())
         self.bitmap_button_umd.SetSize(self.bitmap_button_umd.GetBestSize())
-        self.bitmap_button_sns.SetSize(self.bitmap_button_sns.GetBestSize())
+        self.bitmap_button_ornl.SetSize(self.bitmap_button_ornl.GetBestSize())
+        #self.bitmap_button_sns.SetSize(self.bitmap_button_sns.GetBestSize())
         #self.bitmap_button_nsf.SetSize(self.bitmap_button_nsf.GetBestSize())
         #self.bitmap_button_danse.SetSize(self.bitmap_button_danse.GetBestSize())
@@ -234,4 +250,5 @@
         self.bitmap_button_ess.SetSize(self.bitmap_button_ess.GetBestSize())
         self.bitmap_button_ill.SetSize(self.bitmap_button_ill.GetBestSize())
+        self.bitmap_button_ansto.SetSize(self.bitmap_button_ansto.GetBestSize())
         # end wxGlade
 
@@ -285,5 +302,7 @@
         sizer_logos.Add(self.bitmap_button_nist, 0, 
                         wx.LEFT|wx.ADJUST_MINSIZE, 2)
-        sizer_logos.Add(self.bitmap_button_sns, 0, 
+        #sizer_logos.Add(self.bitmap_button_sns, 0, 
+        #                wx.LEFT|wx.ADJUST_MINSIZE, 2)
+        sizer_logos.Add(self.bitmap_button_ornl, 0, 
                         wx.LEFT|wx.ADJUST_MINSIZE, 2)
         sizer_logos.Add(self.bitmap_button_isis, 0, 
@@ -292,4 +311,6 @@
                         wx.LEFT|wx.ADJUST_MINSIZE, 2)
         sizer_logos.Add(self.bitmap_button_ill, 0, 
+                        wx.LEFT|wx.ADJUST_MINSIZE, 2)
+        sizer_logos.Add(self.bitmap_button_ansto, 0, 
                         wx.LEFT|wx.ADJUST_MINSIZE, 2)
                 
@@ -321,4 +342,11 @@
         event.Skip()
         
+    def onOrnlLogo(self, event): 
+        """
+        """
+        # wxGlade: DialogAbout.<event_handler>
+        launchBrowser(config._ornl_url)
+        event.Skip()
+        
     def onSnsLogo(self, event): 
         """
@@ -368,4 +396,11 @@
         # wxGlade: DialogAbout.<event_handler>
         launchBrowser(config._ill_url)
+        event.Skip()
+
+    def onAnstoLogo(self, event):
+        """
+        """ 
+        # wxGlade: DialogAbout.<event_handler>
+        launchBrowser(config._ansto_url)
         event.Skip()
 
